class Vector3DGroup {

public :

	Vector3DGroup( int iInMaxElements );

	~Vector3DGroup();

	void addElement( Vector3D & );

	int getMaxElements();

	int  getNumElements();
	void setNumElements( int iNewNumElements );

	void setElementAt( int, float, float, float);
	void setElementAt( int, Vector3D & );

	Vector3D getElementAt( int );

	void setLockMem( int iInLockMem );
	int  getLockMem();

private :

	void freeMem();

	int iNumElements;
	int iMaxElements;

	Vector3D * pElementList;

	int iLockMem;
};


// EOF